#ifndef HEALTHINFO_HPP_INCLUDED
#define HEALTHINFO_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class HealthInfo : public CacheableNode
    {
        public:
            HealthInfo();
            HealthInfo(const void* Obj);
            HealthInfo(const HealthInfo& H);
            static Class GetClass();

            std::int32_t GetScale() const;

    };
}

#endif // HEALTHINFO_HPP_INCLUDED
